Subject: Re: [Speechsc] Resource Discovery

From: David R Oran <[email-masked]>
Date: Tue, 2 Jan 2007 13:01:08 -0500

On Dec 31, 2006, at 9:58 AM, Ilya Knyazhansky wrote:

> Hi All
>
>
>
> As I understand from reading section 7 of the draft, the  
> capabilities negotiation can be done using SIP OPTIONS method – but  
> the range of capabilities that can be negotiated this way is rather  
> limited, how for example the client can learn what languages are  
> supported by the media processing resource? Or how can the client  
> discover some performance related characteristics of the resource  
> (i.e. how much simultaneous calls can be processed by specific  
> resource).
>
>
>
> In SIP, mechanisms like the one defined in RFC3840 exist that allow  
> more flexible capabilities negotiation but they are not mentioned  
> in MRCP spec.
>
>
The intention was certainly to allow for RFC3840 capabilities to be  
used. Perhaps that could be clearer if we included a non-normative  
reference to this RFC.

What is less clear is if we need to register MRCP-specific  
capabilities to be carried or if the existing registry suffices.

In terms of your two examples, the languages supported can be handled  
with the exisiting accept-language constructs, but the performance- 
related one s are more problematical because they are highly dynamic.
>
>
> Could you please give more practical, real-life examples on how can  
> one chose MRCP server based on supported recognition language,  
> number of supported channels etc
>
>
>
> Thanks,
>
> Ilya
>
>
>
> _______________________________________________
> Speechsc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/speechsc

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: "Ilya Knyazhansky" <[email-masked]>
Date: Wed, 3 Jan 2007 11:39:34 +0200

Hi All

Thanks for clarification, 
I feel though, that it will be kind of misuse to negotiate language
capabilities of a media resource using the Accept-Language header -since
it was actually intended to identify languages acceptable in response
messages (If MRCP server is configured to return status code reason in
German this should not mean that its speech recognizer can understand
German language)

Thanks,
Ilya

-----Original Message-----
From: David R Oran [mailto:[email-masked]] 
Sent: Tuesday, January 02, 2007 8:01 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Speechsc] Resource Discovery

On Dec 31, 2006, at 9:58 AM, Ilya Knyazhansky wrote:

> capabilities negotiation can be done using SIP OPTIONS method - but